module Main where

import Brick (Widget, simpleMain, (<+>), str, withBorderStyle, joinBorders)
import Brick.Widgets.Center (center)
import Brick.Widgets.Border (borderWithLabel, vBorder)
import Brick.Widgets.Border.Style (unicode)

ui :: Widget ()
ui =
    newForm $
    joinBorders $
    withBorderStyle unicode $
    borderWithLabel (str "Hello!")

main :: IO ()
main = simpleMain ui